Skip to main content
`Ctrl`+`K`

# MatHasCongruentLayouts

Determines whether the rows and columns layouts of the matrix are congruent

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatHasCongruentLayouts(Mat mat, PetscBool *cong)

Collective

## Input Parameter

- mat - the matrix

## Output Parameter

- cong - either `PETSC_TRUE` or `PETSC_FALSE`

## See Also

Matrices, `Mat`, `MatCreate()`, `MatSetSizes()`, `PetscLayout`

## Level

beginner

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages